		.include "m16def.inc"
		.CSEG				  ;Flash-Speicher verwenden
		.def akku = r16
		rjmp start			  ;Interrupts berspringen
		.ORG $2A
start: 	ldi	akku,LOW(RAMEND)  ;Stapel initialisieren
		out	SPL,akku
		ldi akku,HIGH(RAMEND)
		out SPH,akku
		ser akku
		out DDRB,akku
		out DDRD,akku 
		rcall lcd_init
		rcall lcd_clear
        ldi ZL, LOW(text*2)         ; Adresse des Strings in den
        ldi ZH, HIGH(text*2)        ; Z-Pointer laden
		rcall lcd_flash_string
loop:	rjmp loop

text:   .db "-.-.-.-.-.-.-.-.-.-.aaaaaaaa",0
		.include "lcd_routines.asm"
		.EXIT
